Page MenuHomePhabricator

Separation of concerns for WDQS puppet module
Closed, ResolvedPublic

Description

Move major wdqs-blazegraph definitions from init.pp to services.pp. This is to enable isolating service related commands in service file. Also move defined class variables to hiera config. This class variables are used in multiple places s it make sense to be able to edit them from hiera.

Event Timeline

Mathew.onipe triaged this task as Normal priority.Oct 31 2018, 12:42 PM
Mathew.onipe created this task.
Addshore moved this task from incoming to monitoring on the Wikidata board.Oct 31 2018, 5:07 PM
Mathew.onipe renamed this task from Isolate wdqs service (blazegraph) as a submodule under the wdqs module to Separation of concerns for WDQS module.Nov 5 2018, 4:05 AM
Mathew.onipe renamed this task from Separation of concerns for WDQS module to Separation of concerns for WDQS puppet module.
Mathew.onipe updated the task description. (Show Details)

Change 471665 had a related patch set uploaded (by Mathew.onipe; owner: Mathew.onipe):
[operations/puppet@production] wdqs: some separation of concerns and moving some defined class vars to hiera

https://gerrit.wikimedia.org/r/471665

Change 471665 merged by Gehel:
[operations/puppet@production] wdqs: separation of concerns

https://gerrit.wikimedia.org/r/471665

debt closed this task as Resolved.Nov 9 2018, 4:37 PM